Package org.apache.sysds.runtime.io

## Class TensorWriter

- java.lang.Object
- - org.apache.sysds.runtime.io.TensorWriter

Direct Known Subclasses:
  `TensorWriterBinaryBlock`, `TensorWriterTextCell`

    public abstract class TensorWriter
    extends Object

### Constructor Summary

Constructors
`TensorWriter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `writeTensorToHDFS​(TensorBlock src, String fname, int blen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TensorWriter

    public TensorWriter()

### Method Detail

#### writeTensorToHDFS

    public abstract void writeTensorToHDFS​(TensorBlock src,
                                           String fname,
                                           int blen)
                                    throws IOException

Throws:
  `IOException`